RVM安装与使用

蔡源茂 | 创建:2019-03-30 | 最后更新:2019-03-30 | 722次阅读

安装

$ gpg --keyserver hkp://keys.gnupg.net --recv-keys 7D2BAF1CF37B13E2069D6956105BD0E739499BDB
$ sudo apt install curl  #需要先安装curl  ,此为ubuntu下的安装命令
$ \curl -sSL https://get.rvm.io | bash -s stable

~/.bashrc文件末尾增加source "$HOME/.rvm/scripts/rvm",保证rvm命令可以正常工作。否则,可能会报如下错误:

RVM is not a function, selecting rubies with 'rvm use ...' will not work.

重新加载bashrc文件或者,重新开一个终端

$ source ~/.bashrc   
$ source ~/.bash_profile

修改ruby源为Ruby China的Ruby 镜像服务器,提高下载速度

$ echo "ruby_url=https://cache.ruby-china.com/pub/ruby" > ~/.rvm/user/db  

安装ruby版本

$ rvm list known  #查询已有的ruby版本
$ rvm install 2.6.0 --disable-binary  #安装ruby 2.6.0 版本
$ rvm use 2.6.0  --default #使用ruby 2.6.0版本,并指定为默认使用版本
$ rvm list   #查询已安装的ruby版本
$ rvm remove 2.6.0 #移除一个ruby版本

配置gemset

$ rvm gemset create rails522 #创建一个gems包的版本
$ rvm use 2.6.0@rails522  #设置 当前使用打ruby版本和gems包版本
$ rvm gemset empty 2.6.0@rails522 #清空gems包
$ rvm gemset delete rails522 # 删除一个gemset

在项目根目录下,创建.rvmrc文件,并添加rvm use 2.6.0@rails522,可使项目使用指定的ruby版本和gems包

参考链接:

  1. RVM 实用指南
  2. RubyGems 镜像
  3. Ruby 镜像


共收到 0 条回复


评论:

忘记密码?
其他账号登录: QQ登录

回到顶部
到达底部